# Welcome to PlebDevs Starter Course

<!-- <div style="position:relative;padding-bottom:56.25%;height:0;overflow:hidden;max-width:100%;"><video src="https://plebdevs.com/api/get-video-url?videoKey=starter-lesson-0.mp4" style="position: absolute; top: 0px; left: 0px; width: 100%; height: 100%; border: 0px;" controls=""></video></div> -->

<div style="position:relative;padding-bottom:56.25%;height:0;overflow:hidden;max-width:100%;"><video src="https://plebdevs-bucket.nyc3.cdn.digitaloceanspaces.com/starter-lesson-0.mp4" style="position: absolute; top: 0px; left: 0px; width: 100%; height: 100%; border: 0px;" controls=""></video></div>

## Course Mission
Welcome to the PlebDevs starter course! I'm Austin, the founder of PlebDevs, and I'm here to guide you through your journey from complete beginner to capable developer. This course is specifically designed for those new to coding, though we have plenty of intermediate and advanced content available on the platform for when you're ready to level up.

## Course Goals

### Overall PlebDevs Goals
1. Learn how to code
2. Build Bitcoin/Lightning/Nostr applications
3. Help you become a developer

### Starter Course Objectives
1. Provide an easy-to-follow overview of the developer journey
2. Get you comfortable in a development environment
3. Give you hands-on experience with core programming languages

## What is a PlebDev?

### Origins and Philosophy
The term "PlebDev" was created about three years ago to describe a unique approach to learning development in the Bitcoin space. It represents:

- **Inclusive Learning**: Anyone can become a developer, regardless of background
- **Growth Mindset**: Embracing the journey from beginner to professional
- **Practical Focus**: Emphasizing real-world application development
- **Community Support**: Learning and growing together

### Key Characteristics
- 🌱 **Growth-Focused**: PlebDevs are always learning and improving
- 🎯 **App-Centric**: Focus on building applications rather than protocol development
- 🆕 **Embrace Being New**: Being a new developer is infinitely better than not coding at all
- 🤝 **Community-Driven**: Bitcoin/Lightning/Nostr ecosystem needs more developers like you!

## Our Learning Approach

### Core Principles
1. **Lower Barriers**
   - Simplify complex concepts
   - Focus on practical understanding
   - Build confidence through action

2. **Project-Based Learning**
   - Learn by doing
   - Create real applications
   - Build a portfolio as you learn

3. **MVP (Minimum Viable Product) Focus**
   - Start with core functionality
   - Get things working first
   - Iterate and improve

4. **Actionable Knowledge**
   - Focus on the 20% that delivers 80% of results
   - Learn what you can use right away
   - Build practical skills

### Teaching Methods
- Detailed concept breakdowns
- Line-by-line code explanations
- Interactive learning
- 1:1 support available
- Community-driven progress

## Course Structure

### The Learning Path
Instead of the traditional bottom-up approach, we use a project-focused method:
```
    🏔️ Advanced Skills
   🏔️ Projects & Practice
  🏔️ Core Concepts
 🏔️ Development Environment
🏔️ Getting Started
```

We'll create checkpoints through projects, allowing you to:
- Verify your understanding
- Build your portfolio
- See real progress
- Have reference points for review

## Student Expectations

### What We Expect From You
- **High Agency**: Take ownership of your learning journey
- **Active Participation**: Engage with the material and community
- **Persistence**: Push through challenges
- **Curiosity**: Ask questions and explore concepts

### What You Can Expect From Us
- Clear, practical instruction
- Comprehensive support
- Real-world applications
- Community backing

## Getting Started

### Next Steps
1. Ensure you're ready to commit to learning
2. Set up your development environment (next lesson)
3. Join our community
4. Start building!

## Resources and Support

### Where to Get Help
- Course Discussion Forums
- PlebDevs Discord Community
- 1:1 Mentoring Options
- Course Project Repositories

### Tips for Success
1. Code daily, even if just for 30 minutes
2. Focus on understanding rather than memorizing
3. Build projects that interest you
4. Engage with the community
5. Don't be afraid to ask questions

## Remember
You don't need to become a "10x developer" overnight. The goal is to start writing code, build useful things, and gradually improve. Every expert was once a beginner, and the journey of a thousand miles begins with a single line of code.

Ready to begin? Let's dive into the next lesson where we'll set up your development environment! 🚀